﻿using System;

namespace TypyParametryczne
{
    /*
    public class Para<T> : IComparable<Para<T>>
        where T : IComparable<T>
    {
        private T pierwszy = default(T), drugi = default(T);

        public Para(T pierwszy, T drugi)
        {
            this.pierwszy = pierwszy;
            this.drugi = drugi;
        }

        public override string ToString()
        {
            return pierwszy.ToString() + "\t" + drugi.ToString();
        }

        public int CompareTo(Para<T> other)
        {
            int wartość = pierwszy.CompareTo(other.pierwszy);
            if (wartość != 0) return wartość;
            else return drugi.CompareTo(other.drugi);
        }
    }
    */

    public class Para<T,S> : IComparable<Para<T,S>>
        where T : IComparable<T>
        where S : IComparable<S>
    {
        private T pierwszy = default(T);
        private S drugi = default(S);

        public Para(T pierwszy, S drugi)
        {
            this.pierwszy = pierwszy;
            this.drugi = drugi;
        }

        public override string ToString()
        {
            return pierwszy.ToString() + "\t" + drugi.ToString();
        }

        public int CompareTo(Para<T,S> other)
        {
            int wartość = pierwszy.CompareTo(other.pierwszy);
            if (wartość != 0) return wartość;
            else return drugi.CompareTo(other.drugi);
        }
    }

}
