﻿using System;

namespace TypyParametryczne
{
    using static Console;

    using ParaInt = Para<int,int>;
    using ParaDouble = Para<double,double>;

    class Program
    {
        static void Main(string[] args)
        {
            Random r = new Random();

            //int
            //Para<int>[] pi = new Para<int>[10];
            ParaInt[] pi = new ParaInt[10];
            for (int i = 0; i < pi.Length; i++)
            {
                pi[i] = new ParaInt(r.Next(100), r.Next(100));
            }
            Array.Sort(pi);
            WriteLine("Para<int,int>/ParaInt:");
            foreach (ParaInt para in pi) WriteLine(para);            

            //double
            Para<double,double>[] pd = new Para<double,double>[10];
            for (int i = 0; i < pd.Length; i++)
            {
                pd[i] = new Para<double,double>(r.NextDouble(), r.NextDouble());
            }
            Array.Sort(pd);
            WriteLine("\nPara<double,double>:");
            foreach (Para<double,double> para in pd) WriteLine(para);

            //int,double
            Para<int, double>[] pid = new Para<int, double>[10];
            for (int i = 0; i < pid.Length; i++)
            {
                pid[i] = new Para<int, double>(r.Next(100), r.NextDouble());
            }
            Array.Sort(pid);
            WriteLine("\nPara<int,double>:");
            foreach (Para<int, double> para in pid) WriteLine(para);
        }
    }
}
